Bug 168566 - Ark should have more helpful error messages upon opening
Summary: Ark should have more helpful error messages upon opening
Status: RESOLVED FIXED
Alias: None
Product: ark
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Harald Hvaal
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-07 02:42 UTC by David Dempster
Modified: 2008-08-09 02:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Dempster 2008-08-07 02:42:37 UTC
Version:            (using KDE 4.1.0)
Installed from:    Ubuntu Packages
OS:                Linux

I mentioned this tangentially in another bug, but I thought it was worth its own feature request.

Currently, if you just open Ark without a file, it says "No archive loaded".  If you open it from the command line with a wrong filename ("ark fgruiefigrigrf") it says "No archive loaded".  If you open it from the command line with a file type it doesn't recognise ("ark old_docs.zip"), it says "No archive loaded".

It would be more helpful if those were three separate messages.
Comment 1 Harald Hvaal 2008-08-08 12:44:57 UTC
SVN commit 843984 by metellius:

BUG: 168566
Fixing wish "Ark should have more helpful error messages upon opening"


 M  +11 -0     part.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=843984
Comment 2 David Dempster 2008-08-08 12:55:50 UTC
You're an angel, Harald.
Comment 3 Harald Hvaal 2008-08-09 02:00:51 UTC
Hee hee, keep the wishes coming :)